//
//	odfinfo: give info about ODF
//
#include <iostream>

#include "OdfInfo.h"
#include "Xmm.h"

int main()
{
	const OdfInfo::Odf *odf = OdfInfo::server->odf();
	cout<<"Observation start: "<<odf->start()<<endl;
	cout<<"Observation end  : "<<odf->stop()<<endl;
	cout<<"Revolution number: "<<odf->revolution()<<endl;
	cout<<"PI               : "<<odf->proposalData().GoName()<<endl;
	cout<<"List of exposures:\n";

	for (unsigned i=0; i<xmmPayLoad.instruments().size(); ++i) {
		XmmInstrument *ins = xmmPayLoad.instruments()[i];

		if (ins->id() == Xmm::ERM)
			continue;	//	nothing from that thing

		cout<<Xmm::toString(ins->id())<<endl;
		const OdfInfo::ObservationExposureList &l =
										odf->observationExposures(ins->id());
		for (OdfInfo::ObservationExposureList::const_iterator exp =
				l.begin(); exp!=l.end(); ++exp) {
			const OdfInfo::ObservationExposure *se = *exp;
			cout<<"start   : "<<se->start()<<endl;
			cout<<"stop    : "<<se->stop()<<endl;
			cout<<"mode    : "<<Xmm::toString(se->mode())<<endl;
			cout<<"filter  : "<<Xmm::toString(se->filter())<<endl;
		}
	}

	return 0;
}
