//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	OalChild.h	--- base class for objects which can be instantiated
//					from other classes
//
//	CHANGE HISTORY:
//		UL, 1998-07-24: 1.0.0: - initial version
//
//	AUTHOR:
//		U. Lammers, Fri Jul 24 09:46:32 MET DST 1998
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /usr/local/cvs/sasdev/sas/packages/oal/src/OalChild.h,v 1.5 2002/05/03 13:16:29 ulammers Exp $
///

#ifndef OAL_CHILD
#define OAL_CHILD

#include "Tracer.h"

template <class T>
class OalChild {
public:
	OalChild(const T *parent) : _parent(parent) {}
	T *parent() { return const_cast<T *>(_parent); }
	const T *parent() const { return _parent; }
	bool isOrphan() const { return !_parent; }

private :
	const T * _parent;
};

#endif
